Reactivate media buy
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/media-buys/{mediaBuyId}/reactivate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/media-buys/{mediaBuyId}/reactivate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/media-buys/{mediaBuyId}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"mediaBuyId": "<string>",
"name": "<string>",
"previousStatus": "<string>",
"newStatus": "<string>",
"success": true,
"error": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Campaigns
Reactivate media buy
Reactivate a single paused media buy without affecting the rest of its campaign or any sibling media buys.
POST
/
media-buys
/
{mediaBuyId}
/
reactivate
Reactivate media buy
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/media-buys/{mediaBuyId}/reactivate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/media-buys/{mediaBuyId}/reactivate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/media-buys/{mediaBuyId}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"mediaBuyId": "<string>",
"name": "<string>",
"previousStatus": "<string>",
"newStatus": "<string>",
"success": true,
"error": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Buyer media buy ID
Minimum string length:
1Example:
"mb_ETBn4gJ9Wu"
Response
Reactivate media buy
Response from pausing or reactivating a single media buy. Only this media buy is affected — its campaign is never cascaded.
The media buy ID
The media buy name
Status of the media buy before the status change
Status of the media buy after the status change
Whether the media buy status change succeeded
Error message when the media buy status change failed